DEVP_INSTALL_SCRIPTS := ${DEVP_SCRIPTS}/install

include ${DEVP_INSTALL_SCRIPTS}/golangci-lint.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/mockgen.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/ogen.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/devp.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/devpformat.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/dlv.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/protoc.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/protoc-gen-go.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/protoc-gen-go-grpc.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/yq.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/gotestsum.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/godeviz.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/gowrap.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/gocover-cobertura.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/devplint.gen.mk
include ${DEVP_INSTALL_SCRIPTS}/changie.gen.mk

.PHONY: devp/install/all
devp/install/all: ${DEVP_GOLANG_CI_LINT_EXE} ${DEVP_MOCKGEN_EXE} ${DEVP_OGEN_EXE} ${DEVP_DEVPTOOL_EXE} ${DEVP_FORMAT_EXE} ${DEVP_DLV_EXE} ${DEVP_PROTOC_EXE} ${DEVP_PROTOC_GEN_GO_EXE} ${DEVP_PROTOC_GEN_GO_GRPC_EXE} ${DEVP_YQ_EXE} ${DEVP_GOTESTSUM_EXE} ${DEVP_GODEVIZ_EXE} ${DEVP_GOWRAP_EXE} ${DEVP_GOCOVER_COBERTURA_EXE} ${DEVP_LINT_EXE} ${DEVP_CHANGIE_EXE}
	@# Install all tools

.PHONY: devp/install/list
devp/install/list:
	@# Show location of used tools
	@echo 'DEVP_GOLANG_CI_LINT_EXE = "${DEVP_GOLANG_CI_LINT_EXE}"'
	@echo 'DEVP_MOCKGEN_EXE = "${DEVP_MOCKGEN_EXE}"'
	@echo 'DEVP_OGEN_EXE = "${DEVP_OGEN_EXE}"'
	@echo 'DEVP_DEVPTOOL_EXE = "${DEVP_DEVPTOOL_EXE}"'
	@echo 'DEVP_FORMAT_EXE = "${DEVP_FORMAT_EXE}"'
	@echo 'DEVP_DLV_EXE = "${DEVP_DLV_EXE}"'
	@echo 'DEVP_PROTOC_EXE = "${DEVP_PROTOC_EXE}"'
	@echo 'DEVP_PROTOC_GEN_GO_EXE = "${DEVP_PROTOC_GEN_GO_EXE}"'
	@echo 'DEVP_PROTOC_GEN_GO_GRPC_EXE = "${DEVP_PROTOC_GEN_GO_GRPC_EXE}"'
	@echo 'DEVP_YQ_EXE = "${DEVP_YQ_EXE}"'
	@echo 'DEVP_GOTESTSUM_EXE = "${DEVP_GOTESTSUM_EXE}"'
	@echo 'DEVP_GODEVIZ_EXE = "${DEVP_GODEVIZ_EXE}"'
	@echo 'DEVP_GOWRAP_EXE = "${DEVP_GOWRAP_EXE}"'
	@echo 'DEVP_GOCOVER_COBERTURA_EXE = "${DEVP_GOCOVER_COBERTURA_EXE}"'
	@echo 'DEVP_LINT_EXE = "${DEVP_LINT_EXE}"'
	@echo 'DEVP_CHANGIE_EXE = "${DEVP_CHANGIE_EXE}"'
